Attribute VB_Name = "modConn"
Option Explicit

'Public promenljiva Konekcija koju mozes da pozoves sa bilo koje forme ili modula
Public Konekcija As ADODB.Connection

'Public funkcija koja sluzi za konektovanje i koju uvek treba da pozoves pre koristenja; otvaranja rekordseta i sl.
Public Function KonektujSe(ByRef ErrorMessage As String) As Boolean
   Dim strConnect As String
   Dim strProvider As String
   Dim strDataSource As String
   Dim strDataBaseName As String
   
   'Preuzeo sam parametre iz tvog primera, da se lakse snadjes
   'Ovde se formira ConnectionString
   strProvider = "Provider= Microsoft.Jet.OLEDB.4.0;"
   strDataSource = App.Path
   strDataBaseName = "\Baza.mdb;"
   strDataSource = "Data Source=" & strDataSource & strDataBaseName
   strConnect = strProvider & strDataSource
   
   'Inicijalizacija funkcijskih promenljivih
   KonektujSe = True
   ErrorMessage = ""
   
   'Instanciranje konekcije ukoliko vec nije kreirana
   If Konekcija Is Nothing Then Set Konekcija = New ADODB.Connection
   
   'Izlazak iz funkcije ukoliko je konekcija vec bila otvorena
   If Konekcija.State = adStateOpen Then Exit Function
   
   'Podesavanje kursora
   Konekcija.CursorLocation = adUseClient
   
   'Upravljanje greskom
   On Error GoTo GRESKA_OPENCONN
   
   'Otvaranje konekcije
   Konekcija.Open strConnect
   
   'Ponistenje Error Handlera
   On Error GoTo 0
   
   Exit Function
   
GRESKA_OPENCONN:
   
   'Postavljanje povratne vrednosti funkcije na FALSE, sto znaci da konektovanje nije uspelo
   KonektujSe = False
   
   'Slanje informacije o gresci proceduri koja poziva konektovanje
   ErrorMessage = Err.Description
   
   'Unistavanje instance konekcije
   Set Konekcija = Nothing
   
End Function
'Public funkcija koja sluzi za zatvaranje konekcije
Public Function ZatvoriKonekciju(ByRef ErrorMessage As String) As Boolean
   
   ZatvoriKonekciju = True
   
   'Upravljanje greskom
   On Error GoTo GRESKA_CLOSECONN
   
   'Otvaranje konekcije
   Konekcija.Close
   
   'Ponistenje Error Handlera
   On Error GoTo 0
   
   Set Konekcija = Nothing
   
   Exit Function
   
GRESKA_CLOSECONN:
   
   'Postavljanje povratne vrednosti funkcije na FALSE, sto znaci da zatvaranje nije uspelo
   ZatvoriKonekciju = False
   
   'Slanje informacije o gresci proceduri koja poziva zatvaranje
   ErrorMessage = Err.Description
   
   'Unistavanje instance konekcije
   Set Konekcija = Nothing
   
End Function
